
<!--
  @description:采购立项-供应商-报价
  @Modifier:gmy
  @routerPath:/procurement/procurementDriveSupplier/proOfferSupplierContent
  @date:2020/7/24-8:33
-->
<template>
  <div />
</template>

<script>

export default {
  name: 'ProcurementOfferContentVue',
  inject: ['getTenderBase'], // 引入项目信息
  data() {
    return {
      tenderBase: this.getTenderBase()
    }
  },
  created() {
    // 调用跳转路由方法
    this.pushRouter()
  },
  methods: {
    // 根据采购方式挑战不同的页面
    pushRouter() {
      const offerSupplierGpRouter = {
        '11': '/procurement/procurementDriveSupplier/offferNonbidding',
        '12': '/procurement/procurementDriveSupplier/offferNonbidding',
        '13': '/procurement/procurementDriveSupplier/offferNonbidding',
        '14': '/procurement/procurementDriveSupplier/offerBegining'

      }
      this.$router.push({ path: offerSupplierGpRouter[this.tenderBase.tenderMethod] })
    }
  }
}
</script>

<style scoped>
</style>
